%bcond_with bootstrap

Summary:        Java-based template engine
Name:           velocity
Version:        1.7
Release:        6%{?dist}
License:        ASL 2.0
URL:            http://velocity.apache.org/

Source0:        https://archive.apache.org/dist/%{name}/engine/%{version}/%{name}-%{version}.tar.gz
Source1:        https://archive.apache.org/dist/%{name}/engine/%{version}/%{name}-%{version}.pom

Patch0001:      0003-CVE-2020-13936.patch
Patch3000:      0001-Port-to-apache-commons-lang3.patch
Patch3001:      0002-Force-use-of-JDK-log-chute.patch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(commons-collections:commons-collections)
BuildRequires:  mvn(org.apache.commons:commons-lang3)
BuildRequires:  mvn(org.apache:apache:pom:)
%endif
BuildArch:      noarch

%description
Velocity is a Java-based template engine. It permits anyone to use the
simple yet powerful template language to reference objects defined in
Java code.
When Velocity is used for web development, Web designers can work in
parallel with Java programmers to develop web sites according to the
Model-View-Controller (MVC) model, meaning that web page designers can
focus solely on creating a site that looks good, and programmers can
focus solely on writing top-notch code. Velocity separates Java code
from the web pages, making the web site more maintainable over the long
run and providing a viable alternative to Java Server Pages (JSPs) or
PHP.
Velocity's capabilities reach well beyond the realm of web sites; for
example, it can generate SQL and PostScript and XML (see Anakia for more
information on XML transformations) from templates. It can be used
either as a standalone utility for generating source code and reports,
or as an integrated component of other systems. Velocity also provides
template services for the Turbine web application framework.
Velocity+Turbine provides a template service that will allow web
applications to be developed according to a true MVC model.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
Javadoc for %{name}.

%prep
%autosetup -N
cp %{SOURCE1} ./pom.xml
%patch3000 -p1
%patch3001 -p1
%patch0001 -p1

find . -name '*.jar' ! -name 'test*.jar' -print -delete
find . -name '*.class' ! -name 'Foo.class' -print -delete

rm -r src/java/org/apache/velocity/{anakia,texen,servlet,convert}
rm src/java/org/apache/velocity/runtime/log/{Avalon,Log4J}Log{Chute,System}.java
rm src/java/org/apache/velocity/runtime/log/{CommonsLog,Servlet}LogChute.java
rm src/java/org/apache/velocity/runtime/log/SimpleLog4JLogSystem.java
rm src/java/org/apache/velocity/runtime/log/VelocityFormatter.java
rm src/java/org/apache/velocity/app/event/implement/Escape{Html,JavaScript,Sql,Xml,}Reference.java

%pom_remove_dep :oro
%pom_remove_dep :jdom
%pom_remove_dep :commons-logging
%pom_remove_dep :log4j
%pom_remove_dep :servlet-api
%pom_remove_dep :logkit
%pom_remove_dep :ant
%pom_remove_dep :werken-xpath

%mvn_alias : %{name}:%{name}

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README.txt
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7-6
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7-5
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 21 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.7-4
- Disable bootstrap

* Tue Apr 18 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.7-3
- Rewritten spec for maven 3.8.6

* Fri Mar 24 2023 Shuo Wang <abushwang@tencent.com> - 1.7-2
- re-build

* Fri Mar 24 2023 Shuo Wang <abushwang@tencent.com> - 1.7-1
- initial build
